Package icyllis.modernui.transition

# Interface TransitionListener

public interface TransitionListener
A transition listener receives notifications from a transition. Notifications indicate transition lifecycle events.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `default void`
  `onTransitionCancel(Transition transition)`
  Notification about the cancellation of the transition.
  `default void`
  `onTransitionEnd(Transition transition)`
  Notification about the end of the transition.
  `default void`
  `onTransitionPause(Transition transition)`
  Notification when a transition is paused.
  `default void`
  `onTransitionResume(Transition transition)`
  Notification when a transition is resumed.
  `default void`
  `onTransitionStart(Transition transition)`
  Notification about the start of the transition.

- ## Method Details

  - ### onTransitionStart

    default void onTransitionStart(@Nonnull Transition transition)
    Notification about the start of the transition.
    Parameters:
      `transition` - The started transition.

  - ### onTransitionEnd

    default void onTransitionEnd(@Nonnull Transition transition)
    Notification about the end of the transition. Canceled transitions will always notify listeners of both the cancellation and end events. That is, this method is always called, regardless of whether the transition was canceled or played through to completion.
    Parameters:
      `transition` - The transition which reached its end.

  - ### onTransitionCancel

    default void onTransitionCancel(@Nonnull Transition transition)
    Notification about the cancellation of the transition. Note that cancel may be called by a parent `TransitionSet` on a child transition which has not yet started. This allows the child transition to restore state on target objects which was set at `createAnimator()` time.
    Parameters:
      `transition` - The transition which was canceled.

  - ### onTransitionPause

    default void onTransitionPause(@Nonnull Transition transition)
    Notification when a transition is paused. Note that createAnimator() may be called by a parent `TransitionSet` on a child transition which has not yet started. This allows the child transition to restore state on target objects which was set at `createAnimator()` time.
    Parameters:
      `transition` - The transition which was paused.

  - ### onTransitionResume

    default void onTransitionResume(@Nonnull Transition transition)
    Notification when a transition is resumed. Note that resume() may be called by a parent `TransitionSet` on a child transition which has not yet started. This allows the child transition to restore state which may have changed in an earlier call to `onTransitionPause(Transition)`.
    Parameters:
      `transition` - The transition which was resumed.